# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/dot /usr/bin/doxygen /usr/bin/ldd /usr/bin/swig gcc-c++ libSDL-devel zlib-devel
# END SourceDeps(oneline)
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           adonthell
Version:        0.3.5
Release:        alt4_0.15.qa1
Summary:        A 2D graphical RPG game

Group:          Games/Other
License:        GPLv2+
URL:            http://adonthell.linuxgames.com/
Source0:        http://savannah.nongnu.org/download/%{name}/%{name}-src-%{version}.tar.gz

## Fixes from CVS, no new release yet.
# Patch was obtained with:
#     cvs diff -u -r 1.36 -r 1.37 adonthell-0.3/src/dialog.cc
Patch0:         %{name}-0.3.5-fix-build-with-gcc-4.4.patch
# Patch was obtained with:
#     cvs diff -u -r 1.5 -r 1.6 adonthell-0.3/src/win_event.cc
Patch1:         %{name}-0.3.5-fix-build-with-gcc-4.6.patch


BuildRequires:  python-devel
BuildRequires:  libfreetype-devel
BuildRequires:  libxml2-devel
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libSDL_mixer-devel
BuildRequires:  libSDL_ttf-devel
BuildRequires:  libpng-devel
BuildRequires:  swig
BuildRequires:  doxygen
BuildRequires:  graphviz
Source44: import.info


%description
A 2D, graphical, single player role playing game inspired by good old
console RPGs from the 16 bit console gaming era.

This package contains the Adonthell engine. You will also need a game
package to play Adonthell. For this release, the official package is
Waste's Edge.


%package doc
Summary:        API documentation for %{name}

Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
API documentation for %{name} generated by doxygen in HTML format.


%prep
%setup -q
# install locale files in the right place
sed -i 's|myconfig.gamedir + "/locale"|"%{_datadir}/locale"|' src/nls.cc
# remove hardcoded CFLAGS
sed -i 's|^CFLAGS|^#CFLAGS|g' configure
# build with GCC 4.4
%patch0 -p1
%patch1 -p1


%build
%configure --enable-doc
make %{?_smp_mflags} 


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"


%files
%doc AUTHORS COPYING FULLSCREEN.howto NEWBIE NEWS README
%{_bindir}/%{name}
%{_bindir}/%{name}-0.3
%{_datadir}/%{name}/

%files doc
%doc doc/devel/html


%changelog
* Mon Apr 22 2013 Repocop Q. A. Robot <repocop@altlinux.org> 0.3.5-alt4_0.15.qa1
- NMU (by repocop). See http://www.altlinux.org/Tools/Repocop
- applied repocop fixes:
  * arch-dep-package-consists-of-usr-share for adonthell-doc

* Fri Feb 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt4_0.15
- update to new release by fcimport

* Sat Jan 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt4_0.14
- applied repocop patches

* Fri Jul 27 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt3_0.14
- update to new release by fcimport

* Wed May 09 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt3_0.13
- update to new release by fcimport

* Mon Apr 16 2012 Vitaly Kuznetsov <vitty@altlinux.ru> 0.3.5-alt3_0.12.1
- Rebuild to remove redundant libpython2.7 dependency

* Fri Mar 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt3_0.12
- rebuild with fixed sourcedep analyser (#27020)

* Fri Jan 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt2_0.12
- update to new release by fcimport

* Sat Oct 22 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 0.3.5-alt2_0.11.1
- Rebuild with Python-2.7

* Wed Mar 09 2011 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt2_0.11
- new origin release

* Mon Feb 28 2011 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt2_0.9
- spec sleanup

* Wed Feb 16 2011 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt1_0.9
- converted from Fedora by srpmconvert script

